## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# StylesheetRoot.hpp File Reference

Include dependency graph for StylesheetRoot.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class StylesheetRoot
    This acts as the stylesheet root of the stylesheet tree, and holds values that are shared by all stylesheets in the tree. More...

## Defines

- #define XALAN_STYLESHEETROOT_HEADER_GUARD

## Typedefs

- typedef XalanVector< ElemAttributeSet * > AttributeSetVectorTypeDecl

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class ElemAttributeSet

## Define Documentation

#define XALAN_STYLESHEETROOT_HEADER_GUARD

## Typedef Documentation

typedef XalanVector<ElemAttributeSet*> AttributeSetVectorTypeDecl

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class ElemAttributeSet

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.